Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Instances and minimal complete definitions | Public Member Functions | List of all members
ranges::view::split_when_fn Struct Reference

## Synopsis of methods
constexpr view< split_when_fn > | split_when {}

## Public Member Functions
template<typename Rng , typename Fun >
auto | operator() (Rng &&rng, Fun fun) const -> split_when_view< all_t< Rng >, Fun > requires ViewableRange< Rng > &&ForwardRange< Rng > &&Invocable< Fun &, iterator_t< Rng >, sentinel_t< Rng >> &&Invocable< Fun &, iterator_t< Rng >, iterator_t< Rng >> &&CopyConstructible< Fun > &&ConvertibleTo< invoke_result_t< Fun &, iterator_t< Rng >, sentinel_t< Rng >>, std::pair< bool, iterator_t< Rng >>>
template<typename Rng , typename Fun >
auto | operator() (Rng &&rng, Fun fun) const -> split_when_view< all_t< Rng >, predicate_pred< Fun >> requires ViewableRange< Rng > &&ForwardRange< Rng > &&Predicate< Fun const &, range_reference_t< Rng >> &&CopyConstructible< Fun >